C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new ManagementClient(
token: "<token>"
);
await client.RulesConfigs.ListAsync();
}
}package example
import (
context "context"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
client.RulesConfigs.List(
context.TODO(),
)
}package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();
client.rulesConfigs().list();
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Management;
$client = new Management(
token: '<token>',
);
$client->rulesConfigs->list();from auth0.management import ManagementClient
client = ManagementClient(
token="<token>",
)
client.rules_configs.list()require "auth0"
client = Auth0::Management.new(token: "<token>")
client.rules_configs.listimport { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.rulesConfigs.list();
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.rulesConfigs.list();
}
main();curl --request GET \
--url https://{tenantDomain}/api/v2/rules-configs \
--header 'Authorization: Bearer <token>'[
{
"key": "MY_RULES_CONFIG_KEY"
}
]Retrieve config variable keys for rules (get_rules-configs)
Retrieve rules config variable keys.
Note: For security, config variable values cannot be retrieved outside rule execution.
GET
https://{tenantDomain}/api/v2
/
rules-configs
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new ManagementClient(
token: "<token>"
);
await client.RulesConfigs.ListAsync();
}
}package example
import (
context "context"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
client.RulesConfigs.List(
context.TODO(),
)
}package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();
client.rulesConfigs().list();
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Management;
$client = new Management(
token: '<token>',
);
$client->rulesConfigs->list();from auth0.management import ManagementClient
client = ManagementClient(
token="<token>",
)
client.rules_configs.list()require "auth0"
client = Auth0::Management.new(token: "<token>")
client.rules_configs.listimport { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.rulesConfigs.list();
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.rulesConfigs.list();
}
main();curl --request GET \
--url https://{tenantDomain}/api/v2/rules-configs \
--header 'Authorization: Bearer <token>'[
{
"key": "MY_RULES_CONFIG_KEY"
}
]Autorisations
bearerAuthoAuth2ClientCredentials
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Réponse
Rules config keys successfully retrieved.
Key for a rules config variable.
Required string length:
1 - 127Pattern:
^[A-Za-z0-9_\-@*+:]*$Cette page vous a-t-elle été utile ?
⌘I